Package org.jmock.core.constraint

# Class IsCompatibleType

java.lang.Object
org.jmock.core.constraint.IsCompatibleType

All Implemented Interfaces:
  `Constraint`, `SelfDescribing`

public class IsCompatibleType extends Object implements Constraint

## Constructor Summary

Constructors
Constructor
Description
`IsCompatibleType(Class type)`

## Method Summary

Modifier and Type
Method
Description
`StringBuffer`
`describeTo(StringBuffer buffer)`
Appends the description of this object to the buffer.
`boolean`
`eval(Object o)`
Evaluates the constraint for argument o.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IsCompatibleType

public IsCompatibleType(Class type)

## Method Details

### eval

public boolean eval(Object o)
Description copied from interface: `Constraint`
Evaluates the constraint for argument o.

Specified by:
  `eval` in interface `Constraint`
Parameters:
  `o` - the object against which the constraint is evaluated.
Returns:
  `true` if o meets the constraint, `false` if it does not.

### describeTo

public StringBuffer describeTo(StringBuffer buffer)
Description copied from interface: `SelfDescribing`
Appends the description of this object to the buffer.

Specified by:
  `describeTo` in interface `SelfDescribing`
Parameters:
  `buffer` - The buffer that the description is appended to.
Returns:
  The buffer passed to the invokedMethod.